<?php
namespace Incoviba\nuevo\Proyecto;

use Incoviba\Common\Alias\NewModel;

/**
 * 
 * @author Aldarien
 * @property int id
 * @property Proyecto proyecto_id
 * @property Participe participe_rut
 * @property double participacion
 *
 */
class ProyectoParticipe extends NewModel
{
	protected static $_table = 'proyecto_participes';
	
    public function proyecto()
    {
    	$this->belongsTo(Proyecto::class, 'proyecto_id')->findOne();
    }
    public function participe()
    {
    	$this->belongsTo(Participe::class, 'participe_rut', 'rut')->findOne();
    }
}
